<div class="combat-stats container-border">

    <div class="flexrow combat-box">
        {{!-- armor class --}}
        <div class="flexrow stat-container" style="border-right: 1px solid black; min-width: 169px;">
            <label class="armor-icon" data-tooltip="{{actor.system.armorClass.tooltip}}">
                <div>{{ localize 'ARS.armorclass' }}</div>
                <div class="ac-value">{{#if @root.config.settings.useAscendingAC}}{{math 20 "-"
                    actor.system.armorClass.normal}}{{else}}{{actor.system.armorClass.normal}}{{/if}}</div>
            </label>

            <div class="flexcol combat-stats-breakdown">
                <div class="flexrow underline">
                    <div>{{ localize 'ARS.defensestyle.shieldless' }}</div>
                    <div>{{#if @root.config.settings.useAscendingAC}}{{math 20 "-"
                        actor.system.armorClass.shieldless}}{{else}}{{actor.system.armorClass.shieldless}}{{/if}}</div>
                </div>
                <div class="flexrow">
                    <div>{{ localize 'ARS.rear' }}</div>
                    <div>{{#if @root.config.settings.useAscendingAC}}{{math 20 "-"
                        actor.system.armorClass.rear}}{{else}}{{actor.system.armorClass.rear}}{{/if}}</div>
                </div>

                {{!-- only show when armor damage is enabled AND the value is defined --}}
                {{#if (and @root.config.settings.useArmorDamage actor.system.armorClass.armorDamage)}}
                <div class="flexrow armor-damage">
                    <div id="progress-container" data-tooltip="{{actor.system.armorClass.armorDamageTooltip}}">
                        <div id="progress-bar"
                            style="{{#if actor.system.armorClass.armorDamage}}{{progressBar actor.system.armorClass.protectionPoints actor.system.armorClass.protectionPointsMax}}{{/if}}">
                        </div>
                    </div>
                </div>
                {{/if}}
            </div>
        </div>

        {{!-- hit points --}}
        <div class="flexrow stat-container" style="border-right: 1px solid black; min-width: 169px;">
            <label class="hp-icon">
                <div>{{ localize 'ARS.hitpoints' }}</div>
                <div class="hp-value">{{actor.system.attributes.hp.value}}</div>
            </label>

            <div class="flexcol combat-stats-breakdown">
                <div class="flexrow underline">
                    <div>{{ localize 'ARS.max' }}</div>
                    <div>{{actor.system.attributes.hp.max}}</div>
                </div>
                <div class="flexrow">
                    <div>{{ localize 'ARS.current' }}</div>
                    <div>{{actor.system.attributes.hp.value}}</div>
                </div>
                <div class="flexrow health-bar">
                    <div id="progress-container"
                        data-tooltip="Health {{percentage actor.system.attributes.hp.value actor.system.attributes.hp.max}}%">
                        <div id="progress-bar" style="{{progressBar actor.system.attributes.hp.value actor.system.attributes.hp.max}}">
                        </div>
                    </div>
                </div>
            </div>
        </div>

        {{!-- movement speeds --}}
        <div class="flexrow stat-container" style="border-right: 1px solid black; min-width: 128px;">
            <label style="padding-top:1.01em;" class="movement-icon">
                <div>{{ localize 'ARS.move' }}</div>
                <div class="movement-value"
                    data-tooltip="Unencumbered move {{#if (eq actor.type 'npc')}}{{displayMvBreakdown actor.system.movement}}{{else}}{{displayMvBreakdown actor.system.attributes.movement.value}}{{/if}}">
                    {{actor.movement}}
                </div>
            </label>

            <div class="flexcol combat-stats-breakdown">
                <div class="flexrow underline">
                    <div>{{ localize 'ARS.movebase' }}</div>
                </div>
                <div class="flexrow" style="justify-content: center; margin-top: 5px;">
                    {{#if (eq actor.type 'npc')}}
                    {{actor.system.movement}}
                    {{else}}
                    {{actor.system.attributes.movement.value}}
                    {{/if}}
                </div>
                <div class="flexrow move-bar" style="{{#if (eq actor.type 'npc')}}display: none;{{/if}}">
                    <div id="progress-container"
                        data-tooltip="Movement at {{percentage actor.movement actor.system.attributes.movement.value}}% Encumbrance Level: {{capfirst actor.encumbrance}}">
                        <div id="progress-bar" style="{{progressBar actor.movement actor.system.attributes.movement.value}}">
                        </div>
                    </div>
                </div>
            </div>
        </div>

        {{!-- thaco/attack --}}
        <div class="flexrow stat-container" style="width: 70px; justify-content: center;{{#if actor.inCombat}} border-right: 1px solid black;{{/if}}">
            {{#if (eq @root.config.settings.systemVariant '2')}}
            <label style="padding-top:1.01em;" class="thaco-icon">
                <div>{{ localize 'ARS.thaco' }}</div>
                <div class="thaco-value">{{actor.system.attributes.thaco.value}}</div>
            </label>
            {{else}}
            <label style="padding-top:1.01em;" class="thaco-icon">
                <div>{{ localize 'ARS.attackmatrix' }}</div>
                <div class="matrix-value">{{actor.system.matrixTable}}</div>
            </label>
            {{/if}}
        </div>

        {{!-- attacks per round <widget /helper>--}}
            {{#if actor.inCombat}}
            <div class="flexrow stat-container attacks-per-round-stats" style="width: 70px;">

                {{!-- #attacks readout --}}
                <label class="sword-icon" data-tooltip="Predicted remaining attacks {{actor.flags.ars.attacksPerRoundTracking.atksRndTooltip}}">
                    <div class="apr-remaining-label"> {{ localize 'ARS.attacks.attacks' }}
                    </div>
                    <div class="apr-value">
                        {{actor.flags.ars.attacksPerRoundTracking.remainingAttacks}}
                    </div>
                </label>
            </div>
            {{/if}}
    </div>
</div>